[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: xemacs20 wd buffer too small??

at some point around Mon, 02 Feb 1998 13:05:23 +0100
Jens Christian Lisner <sa225li@unidui.uni-duisburg.de> mentioned:

> I've upgraded XEmacs from 19 to 20. When I try to start it, it returns
> XEmacs: `getwd' failed: errno 0
> The point is that it can only be started from root directory. I've read
> in getwd(3), that this can happen if the buffer is too small.
> What can I do?

i no longer have this problem.  a kind soul on #debian helped diagnose
the problem.  

in my case, xemacs was trying to use libc5 libraries --
the fix was to change the order of directories in /etc/ld.so.conf --
/usr/X11R6/lib came after two libc5-compat directories, so i put it before 
them.  (is this recommended?)

xemacs was able to find the appropriate libc6 versions of libraries
(verified w/ ldd), and things seem to be working fine now.


TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-user-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: